| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Variables
richtextctrl.h File Reference

## Classes

class | wxRichTextContextMenuPropertiesInfo
| wxRichTextContextMenuPropertiesInfo keeps track of objects that appear in the context menu, whose properties are available to be edited. More...
class | wxRichTextCtrl
| wxRichTextCtrl provides a generic, ground-up implementation of a text control capable of showing multiple styles and images. More...
class | wxRichTextEvent
| This is the event class for wxRichTextCtrl notifications. More...

## Macros

#define | wxRE_READONLY 0x0010
| Styles.
#define | wxRE_MULTILINE 0x0020
#define | wxRE_CENTRE_CARET 0x8000
#define | wxRE_CENTER_CARET wxRE_CENTRE_CARET
#define | wxRICHTEXT_SHIFT_DOWN 0x01
| Flags.
#define | wxRICHTEXT_CTRL_DOWN 0x02
#define | wxRICHTEXT_ALT_DOWN 0x04
#define | wxRICHTEXT_EX_NO_GUIDELINES 0x00000100
| Extra flags.
#define | wxRICHTEXT_DEFAULT_OVERALL_SIZE wxSize(-1, -1)
#define | wxRICHTEXT_DEFAULT_IMAGE_SIZE wxSize(80, 80)
#define | wxRICHTEXT_DEFAULT_SPACING 3
#define | wxRICHTEXT_DEFAULT_MARGIN 3
#define | wxRICHTEXT_DEFAULT_UNFOCUSSED_BACKGROUND wxColour(175, 175, 175)
#define | wxRICHTEXT_DEFAULT_FOCUSSED_BACKGROUND wxColour(140, 140, 140)
#define | wxRICHTEXT_DEFAULT_UNSELECTED_BACKGROUND wxSystemSettings::GetColour(wxSYS_COLOUR_3DFACE)
#define | wxRICHTEXT_DEFAULT_TYPE_COLOUR wxColour(0, 0, 200)
#define | wxRICHTEXT_DEFAULT_FOCUS_RECT_COLOUR wxColour(100, 80, 80)
#define | wxRICHTEXT_DEFAULT_CARET_WIDTH 2
#define | wxRICHTEXT_DEFAULT_DELAYED_LAYOUT_THRESHOLD 20000
#define | wxRICHTEXT_DEFAULT_LAYOUT_INTERVAL 50
#define | wxID_RICHTEXT_PROPERTIES1 (wxID_HIGHEST + 1)
#define | wxID_RICHTEXT_PROPERTIES2 (wxID_HIGHEST + 2)
#define | wxID_RICHTEXT_PROPERTIES3 (wxID_HIGHEST + 3)

## Enumerations

enum | wxRichTextCtrlSelectionState { wxRichTextCtrlSelectionState_Normal, wxRichTextCtrlSelectionState_CommonAncestor }

## Variables

wxEventType | wxEVT_RICHTEXT_LEFT_CLICK
wxEventType | wxEVT_RICHTEXT_RIGHT_CLICK
wxEventType | wxEVT_RICHTEXT_MIDDLE_CLICK
wxEventType | wxEVT_RICHTEXT_LEFT_DCLICK
wxEventType | wxEVT_RICHTEXT_RETURN
wxEventType | wxEVT_RICHTEXT_CHARACTER
wxEventType | wxEVT_RICHTEXT_CONSUMING_CHARACTER
wxEventType | wxEVT_RICHTEXT_DELETE
wxEventType | wxEVT_RICHTEXT_STYLESHEET_CHANGING
wxEventType | wxEVT_RICHTEXT_STYLESHEET_CHANGED
wxEventType | wxEVT_RICHTEXT_STYLESHEET_REPLACING
wxEventType | wxEVT_RICHTEXT_STYLESHEET_REPLACED
wxEventType | wxEVT_RICHTEXT_CONTENT_INSERTED
wxEventType | wxEVT_RICHTEXT_CONTENT_DELETED
wxEventType | wxEVT_RICHTEXT_STYLE_CHANGED
wxEventType | wxEVT_RICHTEXT_PROPERTIES_CHANGED
wxEventType | wxEVT_RICHTEXT_SELECTION_CHANGED
wxEventType | wxEVT_RICHTEXT_BUFFER_RESET
wxEventType | wxEVT_RICHTEXT_FOCUS_OBJECT_CHANGED

## Macro Definition Documentation

#define wxID_RICHTEXT_PROPERTIES1 (wxID_HIGHEST + 1)

#define wxID_RICHTEXT_PROPERTIES2 (wxID_HIGHEST + 2)

#define wxID_RICHTEXT_PROPERTIES3 (wxID_HIGHEST + 3)

#define wxRE_CENTER_CARET wxRE_CENTRE_CARET

#define wxRE_CENTRE_CARET 0x8000

#define wxRE_MULTILINE 0x0020

#define wxRE_READONLY 0x0010

Styles.

#define wxRICHTEXT_ALT_DOWN 0x04

#define wxRICHTEXT_CTRL_DOWN 0x02

#define wxRICHTEXT_DEFAULT_CARET_WIDTH 2

#define wxRICHTEXT_DEFAULT_DELAYED_LAYOUT_THRESHOLD 20000

#define wxRICHTEXT_DEFAULT_FOCUS_RECT_COLOUR wxColour(100, 80, 80)

#define wxRICHTEXT_DEFAULT_FOCUSSED_BACKGROUND wxColour(140, 140, 140)

#define wxRICHTEXT_DEFAULT_IMAGE_SIZE wxSize(80, 80)

#define wxRICHTEXT_DEFAULT_LAYOUT_INTERVAL 50

#define wxRICHTEXT_DEFAULT_MARGIN 3

#define wxRICHTEXT_DEFAULT_OVERALL_SIZE wxSize(-1, -1)

#define wxRICHTEXT_DEFAULT_SPACING 3

#define wxRICHTEXT_DEFAULT_TYPE_COLOUR wxColour(0, 0, 200)

#define wxRICHTEXT_DEFAULT_UNFOCUSSED_BACKGROUND wxColour(175, 175, 175)

#define wxRICHTEXT_DEFAULT_UNSELECTED_BACKGROUND wxSystemSettings::GetColour(wxSYS_COLOUR_3DFACE)

#define wxRICHTEXT_EX_NO_GUIDELINES 0x00000100

Extra flags.

#define wxRICHTEXT_SHIFT_DOWN 0x01

Flags.

## Enumeration Type Documentation

enum wxRichTextCtrlSelectionState

Enumerator:

  wxRichTextCtrlSelectionState_Normal |
  wxRichTextCtrlSelectionState_CommonAncestor |

## Variable Documentation

wxEventType wxEVT_RICHTEXT_BUFFER_RESET

wxEventType wxEVT_RICHTEXT_CHARACTER

wxEventType wxEVT_RICHTEXT_CONSUMING_CHARACTER

wxEventType wxEVT_RICHTEXT_CONTENT_DELETED

wxEventType wxEVT_RICHTEXT_CONTENT_INSERTED

wxEventType wxEVT_RICHTEXT_DELETE

wxEventType wxEVT_RICHTEXT_FOCUS_OBJECT_CHANGED

wxEventType wxEVT_RICHTEXT_LEFT_CLICK

wxEventType wxEVT_RICHTEXT_LEFT_DCLICK

wxEventType wxEVT_RICHTEXT_MIDDLE_CLICK

wxEventType wxEVT_RICHTEXT_PROPERTIES_CHANGED

wxEventType wxEVT_RICHTEXT_RETURN

wxEventType wxEVT_RICHTEXT_RIGHT_CLICK

wxEventType wxEVT_RICHTEXT_SELECTION_CHANGED

wxEventType wxEVT_RICHTEXT_STYLE_CHANGED

wxEventType wxEVT_RICHTEXT_STYLESHEET_CHANGED

wxEventType wxEVT_RICHTEXT_STYLESHEET_CHANGING

wxEventType wxEVT_RICHTEXT_STYLESHEET_REPLACED

wxEventType wxEVT_RICHTEXT_STYLESHEET_REPLACING